[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

RE: Package Manager Denies Permission to Install



On Tue, 2009-01-20 at 04:31 +0100, Kevin Kofler wrote:
> bruce wrote:
> > just saw this thread. so, is there a way/solution to allow a "root" user
> > to use the gui/gnome/package update app????
> 
> You need to patch both PolicyKit and gnome-packagekit.
> PolicyKit patch here: https://bugzilla.redhat.com/attachment.cgi?id=323469
> Sorry, I don't have a patch for gnome-packagekit (using kpackagekit).

I don't think you need to patch gnome-packagekit, just fixing PolicyKit
would do it. You'll still get the nag-dialog, but that's still part of
the design.

> I wish this kind of stupid arbitrary restrictions just got removed.

It's up to David upstream to make that call, not me.

Richard.



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]